> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nuon.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current user

> Returns the current authenticated user account.




## OpenAPI

````yaml get /v1/general/current-user
openapi: 3.0.3
info:
  contact:
    email: support@nuon.co
    name: Nuon Support
  description: API for managing nuon apps, components, installs, and actions.
  title: Nuon
  version: 0.19.1020
servers:
  - url: https://api.nuon.co/
security: []
tags:
  - description: notebooks
    name: notebooks
  - description: runners
    name: runners
  - description: vcs
    name: vcs
  - description: installs
    name: installs
  - description: actions
    name: actions
  - description: slack
    name: slack
  - description: policy-reports
    name: policy-reports
  - description: orgs
    name: orgs
  - description: accounts
    name: accounts
  - description: actions/runner
    name: actions/runner
  - description: runbooks
    name: runbooks
  - description: general
    name: general
  - description: auth
    name: auth
  - description: queues
    name: queues
  - description: components
    name: components
  - description: apps
    name: apps
  - description: runners/runner
    name: runners/runner
  - description: onboarding
    name: onboarding
paths:
  /v1/general/current-user:
    get:
      tags:
        - general
      summary: Get current user
      description: |
        Returns the current authenticated user account.
      operationId: GetCurrentUser
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/app.Account'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Internal Server Error
      security:
        - APIKey: []
components:
  schemas:
    app.Account:
      properties:
        account_type:
          $ref: '#/components/schemas/app.AccountType'
        created_at:
          type: string
        email:
          type: string
        id:
          type: string
        org_ids:
          description: ReadOnly Fields
          items:
            type: string
          type: array
        permissions:
          $ref: '#/components/schemas/permissions.Set'
        roles:
          items:
            $ref: '#/components/schemas/app.Role'
          type: array
        subject:
          type: string
        updated_at:
          type: string
        user_journeys:
          items:
            $ref: '#/components/schemas/app.UserJourney'
          type: array
      type: object
    stderr.ErrResponse:
      properties:
        description:
          type: string
        error:
          type: string
        user_error:
          type: boolean
      type: object
    app.AccountType:
      enum:
        - auth
        - auth0
        - service
        - canary
        - integration
      type: string
    permissions.Set:
      additionalProperties:
        $ref: '#/components/schemas/permissions.Permission'
      type: object
    app.Role:
      properties:
        createdBy:
          $ref: '#/components/schemas/app.Account'
        created_at:
          type: string
        created_by_id:
          type: string
        id:
          type: string
        policies:
          items:
            $ref: '#/components/schemas/app.Policy'
          type: array
        role_type:
          $ref: '#/components/schemas/app.RoleType'
        updated_at:
          type: string
      type: object
    app.UserJourney:
      properties:
        name:
          type: string
        steps:
          items:
            $ref: '#/components/schemas/app.UserJourneyStep'
          type: array
        title:
          type: string
      type: object
    permissions.Permission:
      enum:
        - unknown
        - all
        - create
        - read
        - update
        - delete
      type: string
    app.Policy:
      properties:
        created_at:
          type: string
        created_by_id:
          type: string
        id:
          type: string
        name:
          $ref: '#/components/schemas/app.PolicyName'
        permissions:
          additionalProperties:
            type: string
          description: Permissions are used to track granular permissions for each domain
          type: object
        role_id:
          type: string
        updated_at:
          type: string
      type: object
    app.RoleType:
      enum:
        - org_admin
        - org_support
        - installer
        - runner
        - hosted-installer
      type: string
    app.UserJourneyStep:
      properties:
        complete:
          type: boolean
        completed_at:
          description: Top-level completion tracking fields
          type: string
        completion_method:
          type: string
        completion_source:
          type: string
        metadata:
          additionalProperties: true
          description: Flexible metadata for business data
          type: object
        name:
          type: string
        title:
          type: string
      type: object
    app.PolicyName:
      enum:
        - org_admin
        - org_support
        - installer
        - runner
        - hosted_installer
      type: string
  securitySchemes:
    APIKey:
      description: Type "Bearer" followed by a space and token.
      in: header
      name: Authorization
      type: apiKey

````